# Script Editor Tips and Shortcuts

## Overview

This section provides a useful list of keyboard shortcuts and tips to enhance productivity within the Servoy Scripting Editor. It includes shortcuts for moving lines, highlighting code blocks, formatting code, commenting lines, enabling code folding, quick navigation, and performing searches. These tips and shortcuts are designed to streamline the coding process, making it more efficient and intuitive.

## Keyboard shortcuts

Below is a list of Script Editor keyboard shortcuts:

* `Alt-Up/Down`: moves selected rows up and down
* Double-click after opening bracket (or before closing bracket): highlights the code between the brackets and scrolls the matching bracket into view if applicable. Works for `{}`, `()`, `[]`, `''` and `""`
* `Control-Shift-F`: formats the selected code
* `Control-/`: (un)comments the selected/current line using `//`
* `Control-Shift-/`: (un)comments the selected/current line using `/....`
* `Control-Numpad_Divide`: enable folding
* `Control-Numpad_Multiply`: expand all
* `Control-Shift-Numpad_Divide`: collapse folding
* `Alt-Shift-K`: look for a Object by name (form, relation, valuelist, method etc)
* `Control-Shift-L`: show shortcut list
* `Control-H`: file-based search in workspace
* `Control-O`: quick outline for the current editor
* `Control-L`: jump to linenumber


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/object-editors/scripting-editor/tips-and-shortcuts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
